Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class DefaultPortal

    java.lang.Object
      |
      +--com.beasys.portal.ejb.DefaultPortal

Direct Known Subclasses:
  DefaultPortlet

public class DefaultPortal
extends java.lang.Object
implements Portal, java.io.Serializable

Default implementation of the Portal interface.

See Also:
  Serialized Form

Constructor Summary
`DefaultPortal()`

Method Summary
`int` | `getContentColumnCount()` Get content column count, how many displayable columns.
`java.lang.String` | `getContentURL()` Get content URL.
`java.lang.String` | `getEditURL()` Get edit URL.
`java.lang.String` | `getFooterURL()` Get footer URL.
`java.lang.String` | `getHeaderURL()` Get header URL.
`java.lang.String` | `getName()` Get name.
`java.lang.String` | `getSuspendedURL()` If suspended for maintenance, what URL should it go to.
`boolean` | `isEditable()` Is this portal editable.
`boolean` | `isSuspended()` Is the portal suspended for maintenance.
`void` | `setContentColumnCount(int aCount)` Set content column count.
`void` | `setContentURL(java.lang.String aURL)` Set content URL.
`void` | `setEditable(boolean aBool)` Set the editable state of the portal.
`void` | `setEditURL(java.lang.String aURL)` Set edit URL.
`void` | `setFooterURL(java.lang.String aURL)` Set footer URL.
`void` | `setHeaderURL(java.lang.String aURL)` Set header URL.
`void` | `setName(java.lang.String aName)` Set name.
`void` | `setSuspended(boolean aBool)` Set the suspended state of the portal.
`void` | `setSuspendedURL(java.lang.String aURL)` Set the suspended URL.
`java.lang.String` | `toString()` The string representation of the portal object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultPortal

    public DefaultPortal()

Method Detail

### getName

    public java.lang.String getName()

  Get name.
  Specified by:
    getName in interface Portal
  Returns:
    `String` the name.

### setName

    public void setName(java.lang.String aName)

  Set name.
  Specified by:
    setName in interface Portal
  Parameters:
    `aName` - the name.

### isEditable

    public boolean isEditable()

  Is this portal editable.
  Returns:
    `boolean` true if it is.

### setEditable

    public void setEditable(boolean aBool)

  Set the editable state of the portal.
  Parameters:
    `aBool` - can it be edited.

### getHeaderURL

    public java.lang.String getHeaderURL()

  Get header URL.
  Specified by:
    getHeaderURL in interface Portal
  Returns:
    `String` the header url.

### setHeaderURL

    public void setHeaderURL(java.lang.String aURL)

  Set header URL.
  Specified by:
    setHeaderURL in interface Portal
  Parameters:
    `aURL` - the header url.

### getFooterURL

    public java.lang.String getFooterURL()

  Get footer URL.
  Specified by:
    getFooterURL in interface Portal
  Returns:
    `String` the footer url.

### setFooterURL

    public void setFooterURL(java.lang.String aURL)

  Set footer URL.
  Specified by:
    setFooterURL in interface Portal
  Parameters:
    `aURL` - the footer url.

### getContentURL

    public java.lang.String getContentURL()

  Get content URL.
  Specified by:
    getContentURL in interface Portal
  Returns:
    `String` the content url.

### setContentURL

    public void setContentURL(java.lang.String aURL)

  Set content URL.
  Specified by:
    setContentURL in interface Portal
  Parameters:
    `aURL` - the content url.

### getEditURL

    public java.lang.String getEditURL()

  Get edit URL.
  Returns:
    `String` the edit url.

### setEditURL

    public void setEditURL(java.lang.String aURL)

  Set edit URL.
  Parameters:
    `aURL` - the edit url.

### getContentColumnCount

    public int getContentColumnCount()

  Get content column count, how many displayable columns.
  Specified by:
    getContentColumnCount in interface Portal
  Returns:
    `int` the column count.

### setContentColumnCount

    public void setContentColumnCount(int aCount)

  Set content column count.
  Specified by:
    setContentColumnCount in interface Portal
  Parameters:
    `aCount` - the column count.

### isSuspended

    public boolean isSuspended()

  Is the portal suspended for maintenance.
  Specified by:
    isSuspended in interface Portal
  Returns:
    `boolean` true if it is suspended.

### setSuspended

    public void setSuspended(boolean aBool)

  Set the suspended state of the portal.
  Specified by:
    setSuspended in interface Portal
  Parameters:
    `aBool` - the state.

### getSuspendedURL

    public java.lang.String getSuspendedURL()

  If suspended for maintenance, what URL should it go to.
  Specified by:
    getSuspendedURL in interface Portal
  Returns:
    `String` the suspended url.

### setSuspendedURL

    public void setSuspendedURL(java.lang.String aURL)

  Set the suspended URL.
  Specified by:
    setSuspendedURL in interface Portal
  Parameters:
    `aURL` - the suspended url.

### toString

    public java.lang.String toString()

  The string representation of the portal object.
  Overrides:
    toString in class java.lang.Object
  Returns:
    `String` the string rep.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved